%define version 1.0.2
Name:				pup
Summary:			Printer Utility Program for the Lexmark Optra Color 40 and 45
Version:			%{version}
Release:			0
Copyright:			GPL Matthew Simpson <matthewsimpson@users.sourceforge.net>
Packager:			William Stearns <wstearns@pobox.com>
Group:				Utilities/System
Source:				https://sourceforge.net/download.php/pup/pup_%{version}_src.tar.gz
#Source1:			goober.init
#Patch0:				goober-2.1-make.patch
#Patch1:				goober-2.1-config.patch
#Prereq:				/sbin/chkconfig logrotate
#Obsoletes:			goober-novm
#Buildarch:			noarch
Vendor:				Matthew Simpson <matthewsimpson@users.sourceforge.net>
URL:				http://pup.sourceforge.net/
BuildRoot:			/tmp/pup-broot


%description
Multiline description of goober...
This is a GUI utility for maintaining your printer under Linux.
Currently it only supports the Lexmark Optra Color 40 and 45 printers,
for ink cartridge maintenance and replacement and sending the command
to print a page showing current printer settings. 

%changelog
* Wed Mar 13 2000 William Stearns <wstearns@pobox.com>
- first rpm


%prep
%setup -c
#%setup -n goober
#%setup -q -a 1
#%patch0 -p1 -b .make
#%patch1 -p1 -b .config


%build
make


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/pup-broot" ]; then
    rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/usr/bin
	cp -p pup $RPM_BUILD_ROOT/usr/bin
else
	echo Invalid Build root
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/pup-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi


%files
%attr(755,root,root)				/usr/bin/pup
#%defattr(-,root,root)
#%attr(644,root,root)		%config	/etc/goober.conf
#%attr(755,root,root)				/etc/rc.d/init.d/goober
#%attr(755,root,root)				/sbin/goober
#%attr(644,root,root)				/usr/man/man8/goober.8
#							%doc	faq/* README ChangeLog QUICKSTART doc/*
#							%doc	contrib/url-normalizer.pl contrib/rredir.* contrib/user-agents.pl
#%attr(750,nobody,nobody)	%dir	/var/log/goober
#%attr(750,nobody,nobody)	%dir	/var/spool/goober


#%pre
#if [ "$1" = "1" ]; then		#This package is being installed for the first time
#    #pre - $1=1 - first install
#else				#This is an upgrade
#    #pre - $1=2 - upgrade (techically, $1>1)
#fi


#%post
#/sbin/chkconfig --add goober
#if [ "$1" = "1" ]; then         #This package is being installed for the first time
#	if [ -f /etc/rc.d/rc.sysinit ]; then
#		if [ `cat /etc/rc.d/rc.sysinit | grep devfsd | wc -l` -eq 0 ]; then	#If no references to devfs yet
#			#Add the following lines just after #!/bin/sh or #!/bin/bash.
#			cat /etc/rc.d/rc.sysinit | sed -e 's@\(#!/bin/.*sh\)@\1\
#if [ -c /dev/.devfsd ]; then                        #devfsdinstall\
#    if ! ps axf | grep [d]evfsd >/dev/null ; then   #devfsdinstall\
#        #devfs not running yet                      #devfsdinstall\
#        /sbin/devfsd /dev                           #devfsdinstall\
#    fi                                              #devfsdinstall\
#fi                                                  #devfsdinstall\
#@' >/etc/rc.d/rc.sysinit.tmp
#			cat /etc/rc.d/rc.sysinit.tmp >/etc/rc.d/rc.sysinit
#			rm -f /etc/rc.d/rc.sysinit.tmp
#		fi
#	else
#		echo You don\'t have an /etc/rc.d/rc.sysinit - you will need to add
#		echo 'if [ -c /dev/.devfsd ]; then'
#		echo '    if ! ps axf | grep [d]evfsd >/dev/null ; then'
#		echo '        /sbin/devfsd /dev'
#		echo '    fi'
#		echo 'fi'
#		echo to your initialization scripts, before any filesystem checking is done.
#	fi
#fi
#if [ "$1" = "1" ]; then		#This package is being installed for the first time
#    #post - $1=1 - first install
#else				#This is an upgrade
#    #post - $1=2 - upgrade (techically, $1>1)
#fi
#/usr/bin/at 04:00 <<EOTEXT
#/sbin/shutdown -r now
#EOTEXT


#%preun
#if [ "$1" = "0" ]; then		#This is being completely erased, not upgraded
#    #preun - $1=0 - final erasure
#else				#This is an upgrade
#    #preun - $1=1 - upgrade (techically, $1>0)
#fi


#%postun
#if [ "$1" = "0" ]; then         #Final removal, not upgrade.
#	if [ -f /etc/rc.d/rc.sysinit ]; then
#		if [ `cat /etc/rc.d/rc.sysinit | grep devfsdinstall | wc -l` -gt 0 ]; then
#			cat /etc/rc.d/rc.sysinit | grep -v devfsdinstall >/etc/rc.d/rc.sysinit.tmp
#			cat /etc/rc.d/rc.sysinit.tmp >/etc/rc.d/rc.sysinit
#			rm -f /etc/rc.d/rc.sysinit.tmp
#		fi
#	fi
#fi
#if [ $1 = 0 ] ; then
#	/sbin/chkconfig --del squid
#fi

#if [ "$1" = "0" ]; then		#This is being completely erased, not upgraded
#    #postun - $1=0 - final erasure
#else				#This is an upgrade
#    #postun - $1=1 - upgrade (techically, $1>0)
#fi
		
#Here are the scripts run at first install, in this order:
#pre - 1 - first install
#post - 1 - first install

#Here are the scripts run during an upgrade, in this order:
#pre - 2 - upgrade
#post - 2 - upgrade
#preun - 1 - upgrade
#postun - 1 - upgrade

#Here are the scripts run at final erase, in this order:
#preun - 0 - final erasure
#postun - 0 - final erasure



